//funcion para insertar los datos
function validar(){
    event.preventDefault(); 
    var frm = document.getElementById('form');
    var data = new FormData(frm);
    var xhttp = new XMLHttpRequest();
    xhttp.onreadystatechange = function () {
        if (this.readyState == 4) {
            var msg = xhttp.responseText;
            if (msg == 'success') {
                $.confirm({
                  title: 'Guardado',
                  content: 'Con Exito!',
                  theme: 'modern',
                  buttons: {
                      OK: function () {
                          $('#form').trigger('reset'); 
                      },
                  }

              });                
            } else {
                $.alert({
                    title: 'Erro al Guardar!',
                   content: 'Verificar',
                    theme: 'modern'
                });
            }

        }
    };
    xhttp.open("POST", "data/insert_vehiculo.php", true);
    xhttp.send(data);
 
 };


  //scrip para llenar los campos con la api de vehiculo desde el sistema de transporte
     
    $('#buscar').click(function(){
        placa=$('#placa').val();
        var selectEstado = $('#estado');
        //alert para el mensjae de cargando
        var cargando = $.alert({
           title: '',
           content: '<img src="../../img/cargando.gif" alt="Imagen">',
           theme: 'modern',
           buttons: false,
           closeIcon: false,
           });
        $.ajax({
           url:'data/API_data.php',
           type:'post',
           dataType:'json',        
           success:function(r){
            var arrayFilter = r.filter(e => e.PLACA == placa);
                if (arrayFilter == false) {
                    cargando.close();
                    $.alert({
                           title: 'El Numero de Placa no existe',
                           content: 'O esta vacia!!',
                           theme: 'modern'
                           });   
                        $('#cod_patrimonial').val('');
                        $('#modelo').val('');
                        $('#nombre').val('');
                        selectEstado.find('option[id="1"]').prop('selected', true);
                }else{
                    if (arrayFilter[0]["PLACA"] === placa) {
                        cargando.close();
                        $('#cod_patrimonial').val(arrayFilter[0]["COD_ACTIVO"]);
                        $('#modelo').val(arrayFilter[0]["MODELO_VEHIC"]);
                        $('#nombre').val(arrayFilter[0]["NOMB_VEHIC"]);
                        selectEstado.find('option[id="' + arrayFilter[0]["ESTADO"] + '"]').prop('selected', true);
                    }else{
                        cargando.close();
                        $.alert({
                           title: 'Ocurrio Un error',
                           content: 'Comunicar al Administrador!!',
                           theme: 'modern'
                           });   
                        $('#cod_patrimonial').val('');
                        $('#modelo').val('');
                        $('#nombre').val('');
                        selectEstado.find('option[id="1"]').prop('selected', true);
                    }
                                                                   
               }
            },
            error: function(xhr, status, error) {
              // Manejar el error de la solicitud
              $.alert({
                   title: 'Comunicar al Administrador',
                   content: 'Por Favor',
                   theme: 'modern'
                   });   
                $('#cod_patrimonial').val('');
                $('#modelo').val('');
                $('#nombre').val('');
                selectEstado.find('option[id="1"]').prop('selected', true);
              
            },
        });
    });